(function( $ ) {
	'use strict';
	var ajaxUrl 				= iconwooi18n.ajaxUrl;
	var iconwooSecurity 		= iconwooi18n.iconwooSecurity;
	var iconwooConnectTab 		= iconwooi18n.iconwooConnectTab;
	var icowooCustomFields 		= iconwooi18n.iconwooCustomFields;
	var iconwooWentWrong 		= iconwooi18n.iconwooWentWrong;
	var iconwooSuccess 			= iconwooi18n.iconwooSuccess;
	var iconwooCreatingProperty = iconwooi18n.iconwooCreatingProperty;
	var iconwooSetupCompleted 	= iconwooi18n.iconwooSetupCompleted;
	var iconwooNoFieldsFound 	= iconwooi18n.iconwooNoFieldsFound;

	jQuery(document).ready(function(){

		jQuery('a#iconwoo-get-started').on("click",function(e){
			e.preventDefault();
			jQuery('#iconwoo_loader').show();
			jQuery.post( ajaxUrl,{ 'action' : 'icontact_woo_get_started_call', 'iconwoosecurity' : iconwooSecurity, async: false }, function( status ){
				window.location.href = iconwooConnectTab;
			});
		});

		jQuery('a#iconwoo-all-fields').on('click', function(e){
			jQuery('input.iconwoo_select_property').attr('checked', true);
		});

		jQuery('a#iconwoo-clear-fields').on('click', function(e){
			jQuery('input.iconwoo_select_property').attr('checked', false);
		});

		// run the field setup.
		jQuery("a.iconwoo-run-fields-setup").on( 'click', function() {
			
			jQuery('#iconwoo-setup-process').show();
			// show the loader and current processing state.
			jQuery.post( ajaxUrl, 
				{'action' : 'icontact_woo_get_groups','iconwoosecurity' : iconwooSecurity }, function(response){
					if( response != null )
					{
						// get all groups
						var groups 		= jQuery.parseJSON(response);
						var group_count = groups.length;

						var group_progress 			= parseFloat(100/group_count);
						var current_progress 		= 0;
						var allProperties_progress 	= 0;

						// loop all groups
						jQuery.each(groups, function(index,group_details){
						//let's create the group property.
						var getProperties = { action : 'icontact_woo_get_group_properties', groupName: group_details.name,	'iconwoosecurity' : iconwooSecurity };

							jQuery.ajax({ url: ajaxUrl, type: 'POST', data : getProperties,async: false }).done(function( propResponse ){
								if( propResponse != null ){
									// parse all properties.
									var allProperties 		= jQuery.parseJSON( propResponse );
									var allProperties_count = allProperties.length;
									
									allProperties_progress 	= parseFloat(group_progress/allProperties_count);
									
									jQuery.each( allProperties, function( i, propertyDetails ) {
										
										current_progress	+= allProperties_progress;
										jQuery('.progress-bar').css('width',current_progress+'%');
										var createProperties = { action : 'icontact_woo_create_group_property', groupName: group_details.name, propertyDetails: propertyDetails, 'iconwoosecurity' : iconwooSecurity };
										jQuery.ajax({ url: ajaxUrl, type: 'POST', data : createProperties, async: false }).done(function( propertyResponse ){

											var proresponse = jQuery.parseJSON( propertyResponse );
											var proerrors 	= proresponse.warnings;
											var proiconwooMessage = "";

											if( proerrors == null ){

												proiconwooMessage = "<div class='notice updated'><p> "+ iconwooCreatingProperty + " <strong>" + propertyDetails.label +"</strong></p></div>";

											}
											else{

														proiconwooMessage = "<div class='notice error'><p> "+ proerrors +"</p></div>";
											}

											jQuery(".iconwoo-message-area").append( proiconwooMessage );

										});
									});
								}
							else {
									alert( iconwooNoFieldsFound );
									location.reload();
								}
							});	
						});
						}
						else
						{
							// close the popup and show the error.
							alert( iconwooWentWrong );

							return false;
						}
						jQuery.post(ajaxUrl, {'action' : 'icontat_woo_create_global_list', 'iconwoosecurity' : iconwooSecurity}, function( response){
							//alert( response);
						});
						// mark the process as completed.
						jQuery.post(ajaxUrl, {'action': 'icontact_woo_setup_completed', 'iconwoosecurity' : iconwooSecurity}, function( response ){

							alert( iconwooSetupCompleted );

							location.reload();
						});
					}); 
			});
		

		jQuery( 'a.iconwoo_pro_select_fields').on( 'click', function(e) {
			e.preventDefault();
			jQuery('#iconwoo_loader').show();
			jQuery.post( ajaxUrl,{ 'action' : 'icontact_woo_save_user_choice', 'iconwoosecurity' : iconwooSecurity, async: false, 'choice' : 'yes' }, function( status ){
				location.reload();
			});
		});

		jQuery( 'a.iconwoo_pro_go_with_integration').on( 'click', function(e) {
			e.preventDefault();
			jQuery('#iconwoo_loader').show();
			jQuery.post( ajaxUrl, { 'action' : 'icontact_woo_save_user_choice', 'iconwoosecurity' : iconwooSecurity, async: false, 'choice' : 'no' }, function( status ){
				location.reload();
			});
		});

		jQuery( 'a.iconwoo-run-change-decision').on( 'click', function(e) {
			e.preventDefault();
			jQuery('#iconwoo_loader').show();
			jQuery.post( ajaxUrl, { 'action' : 'icontact_woo_clear_user_choice', 'iconwoosecurity' : iconwooSecurity, async: false }, function( status ){
				location.reload();
			});
		});

		jQuery('a#btn_authenticate').on('click',function(e){
			jQuery('#iconwoo_loader').show();

			jQuery.post(ajaxUrl, 
				{'action' : 'icontact_woo_integration_authentication', 
				'iconwoosecurity' : iconwooSecurity}, 
				function(response)
				{
					var oauth_response 	= jQuery.parseJSON( response );
					var oauth_status 	= oauth_response.status;
					var oauthMessage 	= oauth_response.message;
					if( oauth_status ) {
						alert(oauthMessage);
						window.location.reload();
					}
					else{
						alert(oauthMessage);
						window.location.reload();
					}
				});
		});

		jQuery('.iconwoo_pro_move_to_custom_fields').on('click',function(e){
			e.preventDefault();
			jQuery('#iconwoo_loader').show();
			jQuery.post(ajaxUrl,
				{'action' : 'iconwoo_move_to_custom_fields',
				'iconwoosecurity' : iconwooSecurity,
				async : false},
				function(status){
					window.location.href = icowooCustomFields;
				});
		});

		jQuery('a.iconwoo-create-single-field').on('click',function(e){

			var alias = $(this).data('alias');
			jQuery('#iconwoo_loader').show();

			jQuery.post( ajaxUrl, { 'action' : 'icontact_woo_create_single_field', 'iconwoosecurity' : iconwooSecurity, 'alias' : alias }, function( status ){ 
				alert( status );
				location.reload();
			});
		});

		jQuery('#iconwoo-order-statuses').select2({
	  		ajax:{
	    			url: ajaxurl,
	    			dataType: 'json',
	    			delay: 200,
	    			data: function (params) {
	      				return {
	        				q: params.term,
	        				action: 'icontact_woo_search_for_order_status'
	      				};
	    			},
	    			processResults: function( data ) {
					var options = [];
					if ( data ) 
					{
						$.each( data, function( index, text )
						{
							options.push( { id: text[0], text: text[1]  } );
						});
					}
					return {
						results:options
					};
				},
				cache: true
			},
		}); 
	});	
})( jQuery );
