 <?php

if ( ! defined ( 'ABSPATH' ) ) {

	exit (); // Exit if accessed directly
}
?>

<?php
	global $icontact_woo;

	$active_tab = isset( $_GET['iconwoo_tab'] ) ? filter_var($_GET['iconwoo_tab'],FILTER_SANITIZE_URL) : 'icontact_woo_overview';
	$default_tabs = $icontact_woo->icontact_woo_default_tabs();

	?>
<div class="iconwoo-go-pro">
	<div class="iconwoo-go-pro-banner">
		<div class="iconwoo-inner-container">
			<div class="iconwoo-name-wrapper"><p><?php _e("iContact Pro WooCommerce Integration PRO", "iconwoo") ?></p></div>
			<div class="iconwoo-static-menu">
				<ul>
					<li><a href="https://makewebbetter.com/contact-us/" target="_blank"><?php _e("Contact US", "iconwoo")?></a></li>
					<li><a href="https://docs.makewebbetter.com/icontact-pro-woocommerce-integration/" target="_blank"><?php _e("Go to Docs", "iconwoo") ?></a></li>
					<li class="iconwoo-main-menu-button"><a id="iconwoo-go-pro-link" href="https://makewebbetter.com/product/icontact-pro-woocommerce-integration-pro/?utm_source=MWB-icontactpro-org&utm_medium=MWB_ORG&utm_campaign=ORG" class="" title="" target="_blank"><?php _e("GO PRO NOW", "iconwoo")?></a></li>
				</ul>
			</div>
		</div>
	</div>
</div>
<div class="iconwoo-main-template">
	<div class="iconwoo-header-template">
		<div class="iconwoo-icontact-icon">
			<img width="90px" height="90px" src="<?php echo ICONTACT_WOO_URL . 'admin/images/icontact-pro.png'?>" class=""/>
		</div>
		<div class="iconwoo-header-text">
			<h2><?php _e( "Enhanced iContactPRO WooCommerce Integration", "iconwoo" ) ?></h2>
		</div>
		<div class="iconwoo-woo-icon">
			<img width="90px" height="90px" src="<?php echo ICONTACT_WOO_URL . 'admin/images/woo-icon.png' ?>" class=""/>
		</div>
	</div>
	<div class="iconwoo-body-template">
		<div class="iconwoo-navigator-template">
			<div class="iconwoo-navigations">
				<?php
					if( is_array( $default_tabs ) && count( $default_tabs ) ) {

						foreach( $default_tabs as $tab_key => $single_tab ) {

							$tab_classes = "iconwoo-nav-tab";
							
							$dependency = $single_tab["dependency"];

							if( !empty( $active_tab ) && $active_tab == $tab_key ) {
								
								$tab_classes .= " nav-tab-active";
							}
							
							if( $tab_key == "icontact_woo_segments" || $tab_key == "icontact_woo_abn_cart" || $tab_key == "icontact_woo_workflows" || $tab_key == "icontact_woo_ocs" || $tab_key == "icontact_woo_rfm_settings" ){

								if( !empty( $dependency ) && !$icontact_woo->check_dependencies( $dependency ) ) {

									$tab_classes .= " iconwoo-tab-disabled";
									$tab_classes .= " iconwoo-lock";
									?>
										<div class="iconwoo-tabs"><a class="<?php echo $tab_classes; ?>" id="<?php echo $tab_key; ?>" href="javascript:void(0);"><?php echo $single_tab["name"]; ?><img src="<?php echo ICONTACT_WOO_URL . 'admin/images/lock.png' ?>"></a></div>
									<?php
								}
								else {

									$tab_classes .= " iconwoo-lock";
									?>
										<div class="iconwoo-tabs"><a class="<?php echo $tab_classes; ?>" id="<?php echo $tab_key; ?>" href="<?php echo admin_url('admin.php?page=icontactwoo').'&iconwoo_tab='.$tab_key; ?>"><?php echo $single_tab["name"]; ?><img src="<?php echo ICONTACT_WOO_URL . 'admin/images/lock.png' ?>"></a></div>
									<?php
								}
							}
							else{
								if( !empty( $dependency ) && !$icontact_woo->check_dependencies( $dependency ) ) {
									
									$tab_classes .= " iconwoo-tab-disabled";
									?>
										<div class="iconwoo-tabs"><a class="<?php echo $tab_classes; ?>" id="<?php echo $tab_key; ?>" href="javascript:void(0);"><?php echo $single_tab["name"]; ?></a></div>
	
									<?php
								}
								else {
	
									?>
										<div class="iconwoo-tabs"><a class="<?php echo $tab_classes; ?>" id="<?php echo $tab_key; ?>" href="<?php echo admin_url('admin.php?page=icontactwoo').'&iconwoo_tab='.$tab_key; ?>"><?php echo $single_tab["name"]; ?></a></div>
	
									<?php
								}
							}
						}
					}
				?>
			</div>
		</div>
		<div class="iconwoo-content-template">
			<div class="iconwoo-content-container">
				<?php
					// if submenu is directly clicked on woocommerce.
					if( empty( $active_tab ) ){

						$active_tab = "icontact_woo_overview";
					}
					$tab_content_path = 'admin/templates/'.$active_tab.'.php';
					$icontact_woo->load_template_view( $tab_content_path );
				?>
			</div>
		</div>
	</div>
	<div style="display: none;" class="loading-style-bg" id="iconwoo_loader">
		<img src="<?php echo ICONTACT_WOO_URL;?>admin/images/loader.gif">
	</div>
</div>