<?php

global $icontact_woo;

$log_text = sprintf( __('Enable logging of the requests? You can view iContactPRO log file from <a href="%s">Here</a>', 'iconwoo'), '?page=wc-status&tab=logs');

$enable_disable_text = __('Turn on/off the integration', 'iconwoo') ;

//button click
if( isset( $_POST['icontact_woo_activate_connect'] ) && check_admin_referer( 'icontact-woo-settings' ) ){

	unset( $_POST['icontact_woo_activate_connect'] );

	if (!isset($_POST['icontact_woo_log'])) {
		
		update_option('icontact_woo_log', 'no');
	}
	if (!isset($_POST['icontact_woo_settings_enable'])) {
		
		update_option('icontact_woo_settings_enable', 'no');
	}
	if( !empty( $_POST ) ) {

		foreach( $_POST as $key => $value ) {

			//sanitize $_POST values
			$value = sanitize_text_field($value);

			update_option( $key, $value );
		}
	}

	$message = __( 'Settings saved successfully.' , 'iconwoo' );

	$icontact_woo->icontact_woo_notice($message, 'success' );
}

$app_id 		= $icontact_woo-> get_app_id();
$app_password 	= $icontact_woo-> get_app_password();
$api_username 	= $icontact_woo-> get_api_username();
$acc_id 		= get_option('account_id_icontact','');
$fol_id 		= get_option('folder_id_icontact','');
if (!empty($app_id) && !empty($app_password) && !empty($api_username)) {
	
	$status_check = $icontact_woo->is_valid_details_provided();

	if ($status_check == 'ok') {

		$auth_success = $icontact_woo->is_auth_success();

		if (!$auth_success && $icontact_woo->is_plugin_enable() == 'yes') {
			?>
			<span class="iconwoo_oauth_span">
					<label><?php _e('Please click the button to authorize with iContactPRO.','iconwoo'); ?></label>
					<a href="javascript:void(0)" class="button-primary" id="btn_authenticate"><?php _e("Authorize","iconwoo")?></a>
			</span>
		<?php
		}
		
	}
	elseif ($status_check == 'empty_app_id'){
		$message = __( 'Invalid App Id passed for iContactPRO.', 'iconwoo' );
		$icontact_woo->icontact_woo_notice( $message, 'error' );
	}
	elseif ($status_check == 'empty_app_password'){
		$message = __( 'Invalid App Password passed for iContactPRO.', 'iconwoo' );
		$icontact_woo->icontact_woo_notice( $message, 'error' );
	}
	elseif ($status_check == 'empty_api_username'){
		$message = __( 'Invalid API Username passed for iContactPRO.', 'iconwoo' );
		$icontact_woo->icontact_woo_notice( $message, 'error' );
	}
	elseif ($status_check == 'empty_company_id'){
		$message = __( 'Invalid Company Id passed for iContactPRO.', 'iconwoo' );
		$icontact_woo->icontact_woo_notice( $message, 'error' );
	}
	elseif ($status_check == 'empty_profile_id'){
		$message = __( 'Invalid Profile ID passed for iContactPRO.', 'iconwoo' );
		$icontact_woo->icontact_woo_notice( $message, 'error' );
	}
}



$message = __('Enter your iContactPRO AppId, App Password and iContactPRO Username to connect with iContactPRO. ');

$message_know_more = sprintf( __('To know more <a href="%s" target="_blank">Click Here</a>', 'iconwoo'), 'https://www.icontact.com/developerportal/pro/documentation/register-your-app');
 
$auth_success = $icontact_woo->is_auth_success();
$acc_id = get_option('account_id_icontact');
$fol_id = get_option('folder_id_icontact');

if (!$auth_success && empty($acc_id) && empty($fol_id) ) {

?>
<div class="iconwoo-connect-form-header iconwoo-common-header">
	<h2><?php _e("Connect with your iContactPRO Account","iconwoo") ?></h2>
	<div class="iconwoo-connect-form-desc"><p><?php echo $message;?><span><?php  echo $message_know_more; ?></span></p></div>
	

</div>
<div class="iconwoo-connection-container">
	<form class="iconwoo-connect-form" action="" method="post">
		<div class="iconwoo-connect-enable-plugin">
	    	<?php 
	    		if (get_option("icontact_woo_settings_enable") == 'yes'){
	    			?>
	    			<input type="checkbox" name="icontact_woo_settings_enable" class="regular-text common-box" id="icontact_woo_settings_enable" value="yes" checked>
	    			<?php
	    		}
	    		else{
	    			?>
	    			<input type="checkbox" name="icontact_woo_settings_enable" class="regular-text common-box" id="icontact_woo_settings_enable" value="yes" >
	    			<?php
	    		}
	    		echo $enable_disable_text;
	    	?>
    	</div>
	  	<div class="iconwoo-connect">
	  		<label>
	  			<?php _e("App Id","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your App Id","iconwoo")?>" class="regular-text" type="text" id="iconwoo_connect_app_id" name="icontact_woo_app_id" value="<?php echo $app_id ?>" required>
	    </div>
	    <?php  ?>
	    <div class="iconwoo-connect">
	  		<label>
	  			<?php _e("App Password","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your app password","iconwoo") ?>" class="regular-text" type="password" id="iconwoo_connect_app_password" name="icontact_woo_app_password" value="<?php echo $app_password?>" required>
	    </div>
	    <div class="iconwoo-connect">
	  		<label>
	  			<?php _e("Username","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your iContactPRO login Username","iconwoo") ?>" class="regular-text" type="text" id="iconwoo_connect_api_username" name="icontact_woo_api_username" value="<?php echo $api_username?>" required>
	    </div>
	    <div class="iconwoo-connect-log">
	    	<?php 
	    		if (get_option("icontact_woo_log") == 'yes'){
	    			?>
	    			<input type="checkbox" name="icontact_woo_log" class="regular-text common-box" id="icontact_woo_log" value="yes" checked>
	    			<?php
	    		}
	    		else{
	    			?>
	    			<input type="checkbox" name="icontact_woo_log" class="regular-text common-box" id="icontact_woo_log" value="yes" >
	    			<?php
	    		}
	    		echo $log_text;
	    	?>
    	</div>  
	    <div class="iconwoo-connect-form-submit">
		    <p class="submit">
		        <input type="submit" name="icontact_woo_activate_connect" value="<?php _e("Save","iconwoo")?>" class="button-primary" />
		    </p>
		    <?php wp_nonce_field( 'icontact-woo-settings' ); ?>
	    </div>
    </form>
</div>
<?php

}
elseif(!empty($acc_id) && !empty($fol_id)){
	?>
	<div class="iconwoo-connect-form-desc">
	<p class="updated">
		<?php _e("Congratulations! your IcontactPRO account has been successfully verified and connected.","iconwoo") ?>
	</p>

	<p>
		<?php _e("You have entered the following details", "iconwoo"); ?>
		</p>
		</div>
		<div class="iconwoo-connection-container">
			<form class="iconwoo-connect-form" action="" method="post">
			  	<div class="iconwoo-connect">
			  		<label>
			  			<?php _e("App Id","iconwoo") ?>
			  		</label>
			        <input placeholder="<?php _e("Your App Id","iconwoo")?>" class="regular-text" type="text" id="iconwoo_connect_app_id" name="icontact_woo_app_id" value="<?php echo $app_id ?>" readonly>
			    </div>
			    <?php  ?>
			    <div class="iconwoo-connect">
			  		<label>
			  			<?php _e("App Password","iconwoo") ?>
			  		</label>
			        <input placeholder="<?php _e("Your app password","iconwoo") ?>" class="regular-text" type="password" id="iconwoo_connect_app_password" name="icontact_woo_app_password" value="<?php echo $app_password?>" readonly>
			    </div>
			    <div class="iconwoo-connect">
			  		<label>
			  			<?php _e("API Username","iconwoo") ?>
			  		</label>
			        <input placeholder="<?php _e("Your iContactPRO login Username","iconwoo") ?>" class="regular-text" type="text" id="iconwoo_connect_api_username" name="icontact_woo_api_username" value="<?php echo $api_username?>" readonly>
			    </div>
			     <div class="iconwoo-connect-log">
	    			<?php 
			    		if (get_option("icontact_woo_log") == 'yes'){
			    			?>
			    			<input type="checkbox" name="icontact_woo_log" class="regular-text common-box" id="icontact_woo_log" value="yes" checked>
			    			<?php
			    		}
			    		else{
			    			?>
			    			<input type="checkbox" name="icontact_woo_log" class="regular-text common-box" id="icontact_woo_log" value="yes" >
			    			<?php
			    		}
			    		echo $log_text;
			    	?>
		    	</div>
			    <div class="iconwoo-connect-form-submit">
				    <p class="submit">
				        <input type="submit" name="icontact_woo_activate_connect" value="<?php _e("Save","iconwoo")?>" class="button-primary" />
				    </p>
				    <?php wp_nonce_field( 'icontact-woo-settings' ); ?>
			    </div>
		    </form>
		</div>
	</p>

	<?php

	$move_to_custom_fields = get_option( "icontact_woo_move_to_custom_fields", false );
	if( $auth_success && !$move_to_custom_fields && !empty($acc_id) && !empty($fol_id) ) {
		
		$display = "block";
	}
	else {
		$display = "none";
	}
	?>
	<div class="iconwoo_pop_up_wrap" style="display: <?php echo $display; ?>">
		<div class="pop_up_sub_wrap">
			<p class="updated">
				<?php _e("Congratulations! your iContactPRO account has been successfully verified and connected.","iconwoo") ?>
			</p>
			<div class="button_wrap">
				<a href="javascript:void(0);" class="iconwoo_pro_move_to_custom_fields"><?php _e('Proceed to Next Step','iconwoo'); ?></a>
			</div>
		</div>
	</div>
	<?php
}
else{
	?>
<div class="iconwoo-connect-form-header iconwoo-common-header">
	<h2><?php _e("Connect with your iContactPRO Account","iconwoo") ?></h2>
	<div class="iconwoo-connect-form-desc"><?php echo $message ?></div>
</div>
<div class="iconwoo-connection-container">
	<form class="iconwoo-connect-form" action="" method="post">
	  	<div class="iconwoo-connect">
	  		<label>
	  			<?php _e("App Id","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your App Id","iconwoo")?>" class="regular-text" type="text" id="iconwoo_connect_app_id" name="icontact_woo_app_id" value="<?php echo $app_id ?>" required>
	    </div>
	    <?php  ?>
	    <div class="iconwoo-connect">
	  		<label>
	  			<?php _e("App Password","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your app password","iconwoo") ?>" class="regular-text" type="password" id="iconwoo_connect_app_password" name="icontact_woo_app_password" value="<?php echo $app_password?>" required>
	    </div>
	    <div class="iconwoo-connect">
	  		<label>
	  			<?php _e("API Username","iconwoo") ?>
	  		</label>
	        <input placeholder="<?php _e("Your iContactPRO login Username","iconwoo") ?>" class="regular-text" type="text" id="iconwoo_connect_api_username" name="icontact_woo_api_username" value="<?php echo $api_username?>" required>
	    </div>
	    <div class="iconwoo-connect-form-submit">
		    <p class="submit">
		        <input type="submit" name="icontact_woo_activate_connect" value="<?php _e("Save","iconwoo")?>" class="button-primary" />
		    </p>
		    <?php wp_nonce_field( 'icontact-woo-settings' ); ?>
	    </div>
    </form>
</div>
<?php

}



