<?php

//if button is clicked
if( isset( $_POST[ 'icontact_woo_save_selected_fields' ] ) && check_admin_referer( 'icontact-woo-settings' ) ) {

  unset( $_POST[ 'icontact_woo_save_selected_fields' ] );

  if( !isset( $_POST[ 'selected_properties' ] ) ) {

    $_POST[ 'selected_properties' ] = array();
    
  }
  else{
      //sanitize $_POST values
    $_POST[ 'selected_properties' ] = array_map( 'esc_attr', $_POST[ 'selected_properties' ]  );   
  }

  update_option( 'icontact_woo_selected_properties', $_POST[ 'selected_properties' ] );

  $message = __( 'Fields saved successfully.' , 'iconwoo' );

  Icontact_Woo_Integration::icontact_woo_notice( $message, 'success' );
}
?>
<div class="iconwoo-fields-header iconwoo-common-header">
  <h2><?php _e("iContactPRO Custom Fields", "iconwoo") ?></h2>
</div> 
<?php
  $user_choice = Icontact_Woo_Integration::icontact_woo_user_choice();

  if( !Icontact_Woo_Integration::is_setup_completed() ) {
?>
    <div class="iconwoo-fields-container">
      <?php

        if(empty($user_choice)) {

          $display = "block";
        }
        else {
          $display = "none";
        }
      ?>
      <div class="iconwoo_pop_up_wrap" style="display: <?php echo $display; ?>">
        <div class="pop_up_sub_wrap">
          <p>
          <?php _e("Before we start with iContactPRO custom fields setup, would you like to filter the fields before creating them?","iconwoo") ?>
         </p>
         <p>
           <?php _e("Filtering the fields will allow you to select field(s) which you want to create in your iContactPRO account.","iconwoo") ?>
         </p>
          <div class="button_wrap">
          <a href="javascript:void(0);" class="iconwoo_pro_go_with_integration"><?php _e("I would like to go with the extension.",'iconwoo'); ?></a>
            <a href="javascript:void(0);" class="iconwoo_pro_select_fields"><?php _e('Yes, allow me to filter','iconwoo'); ?></a>
          </div>
        </div>
      </div>
        <div class="iconwoo-fields-on-user-choice">
                <?php 

                    if( $user_choice == "no" ) {

                        ?>
                            <div class="iconwoo-connect-form-desc">
                                <p><?php _e( "These are the custom fields which will be created by the extension on your iContactPRO account.","iconwoo") ?></p>
                                <p><?php _e( "If you want to change your decision click on 'Change Decision' button.","iconwoo") ?></p>
                                <?php
                                $iconwoo_groups = IcontactWooContactProperties::get_instance()->_get( 'groups' );
                                    if( is_array( $iconwoo_groups ) && count( $iconwoo_groups ) ) {
                                        foreach( $iconwoo_groups as $key => $single_group ) {
                                            ?>
                                            <div class="iconwoo_groups">
                                                <table class="form-table">
                                                    <tbody>
                                                        <tr valign="top">
                                                            <th scope="row" class="titledesc">
                                                                <p class="iconwoo_group_name">
                                                                    <?php echo $single_group["displayName"] ?>
                                                                </p>
                                                            </th>
                                                            <td class="forminp forminp-text">
                                                                <table>
                                                                        <?php 
                                                                        $iconwoo_properties = IcontactWooContactProperties::get_instance()->_get( 'properties', $single_group["name"] );
                                                                        if( is_array( $iconwoo_properties ) && count( $iconwoo_properties ) ) {
                                                                            foreach( $iconwoo_properties as $single_property ) {
                                                                                    ?>
                                                                                        <tr>
                                                                                            <td><?php echo $single_property["label"] ?></td>
                                                                                        </tr>
                                                                                    <?php
                                                                                }
                                                                            }
                                                                        ?>
                                                                    </table>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                            <?php
                                        }
                                    } 
                                ?>
                            </div>
                        <?php
                    }
                    else {
                        ?>
                        <form action="" method="post">
                            <div class="iconwoo-connect-form-desc">
                                <p><?php _e( "Start selecting fields those you want to create on your iContactPRO account or if you want, can change your decision.","iconwoo") ?></p>
                                <div class="iconwoo-actions"><a href="javascript:void(0);" class="iconwoo-action-field" id="iconwoo-all-fields"><?php _e("Select all","iconwoo")?></a>
                                <a href="javascript:void(0);" class="iconwoo-action-field" id="iconwoo-clear-fields"><?php _e("Clear","iconwoo")?></a></div>
                                <?php
                                    $iconwoo_groups = IcontactWooContactProperties::get_instance()->_get( 'groups' );
                                    
                                    if( is_array( $iconwoo_groups ) && count( $iconwoo_groups ) ) {

                                        foreach( $iconwoo_groups as $key => $single_group ) {

                                            ?>
                                            <div class="iconwoo_groups">

                                                <table class="form-table">

                                                    <tbody>

                                                        <tr valign="top">

                                                            <th scope="row" class="titledesc">

                                                                <p class="iconwoo_group_name">

                                                                    <?php echo $single_group["displayName"] ?>

                                                                </p>

                                                            </th>

                                                            <td class="forminp forminp-text">

                                                                <table>

                                                                        <?php 

                                                                        $iconwoo_properties = IcontactWooContactProperties::get_instance()->_get( 'properties', $single_group["name"] );

                                                                        $iconwoo_selected_properties = Icontact_Woo_Integration::icontact_woo_user_selected_fields();
                                                                        
                                                                        if( is_array( $iconwoo_properties ) && count( $iconwoo_properties ) ) {

                                                                            foreach( $iconwoo_properties as $single_property ) {

                                                                                if( in_array( $single_property["alias"], $iconwoo_selected_properties ) ) {
                                                                                
                                                                                    ?>

                                                                                        <tr>
                                                                                            <td><?php echo $single_property["label"] ?></td>
                                                                                            <td><input data-id="<?php echo $key ?>" class="iconwoo_select_property" type="checkbox" checked name="selected_properties[]" value="<?php echo $single_property["alias"] ?>"></td>
                                                                                        </tr>

                                                                                    <?php
                                                                                }
                                                                                else {

                                                                                    ?>

                                                                                        <tr>
                                                                                            <td><?php echo $single_property["label"] ?></td>
                                                                                            <td><input data-id="<?php echo $key ?>" class="iconwoo_select_property" type="checkbox" name="selected_properties[]" value="<?php echo $single_property["alias"] ?>"></td>
                                                                                        </tr>

                                                                                    <?php
                                                                                }
                                                                            }
                                                                        }
                                                                        ?>
                                                                    </table>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                            <?php
                                        }
                                    } 
                                ?>
                                <p class="submit">
                                    <input type="submit" class="button button-primary" name="icontact_woo_save_selected_fields" value="<?php echo __("Save Changes","iconwoo") ?>">
                                    <?php wp_nonce_field( 'icontact-woo-settings' ); ?>
                                </p>
                            </div>
                        </form>
                        <?php
                    }
                ?>
                    <?php add_thickbox(); ?>
                    <div id="iconwoo-setup-process" style="display: none;">
                        <div class="popupwrap">
                                    <p> <?php _e('We are setting up!', 'iconwoo')  ?></p>
                                    <p> <?php _e('Please do not navigate or reload the page before our confirmation message.', 'iconwoo')  ?></p>
                                <div class="progress">
                                    <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width:0%">
                                    </div>
                                </div>
                                    <div class="iconwoo-message-area">
                                    </div>
                            </div>
                        </div>
                <div class="iconwoo-fields-setup">
                    <?php if( Icontact_Woo_Integration::is_fields_to_create() ): ?>
                        <a class="iconwoo-run-fields-setup" href="javascript:void(0);"><?php _e("Start Setup","iconwoo") ?></a>
                    <?php endif;?>
                    <a class="iconwoo-run-change-decision" href="javascript:void(0);"><?php _e("Change Decision","iconwoo") ?></a>
                </div>
            </div>
        </div>
<?php
    } 
else {

    $final_properties = Icontact_Woo_Integration::icontact_woo_get_final_fields();
    
    ?>
    <div class="iconwoo-fields-created">
        <div class="iconwoo-fields-created-list">
         <div class="iconwoo-connect-form-desc">
            <p><?php _e("Fields which are on your iContactPRO account.","iconwoo")?></p>
            <p><?php _e("You can create new fields directly from here.","iconwoo")?></p>
            </div>
            <table>
                <thead>
                    <tr>
                        <th><?php _e('Field Name','iconwoo') ?></th>
                        <th><?php _e('Action','iconwoo') ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        if( is_array( $final_properties ) && count( $final_properties ) ) {

                            foreach( $final_properties as $single_property ) {

                                if( isset( $single_property['detail'] ) && !empty( $single_property['status'] ) && $single_property['status'] == 'created' ) {

                                    ?>
                                    <tr>
                                        <td>
                                            <?php echo $single_property['detail']['label']?>
                                        </td>
                                        <td>
                                            <div class="iconwoo-field-checked">
                                                <img src="<?php echo ICONTACT_WOO_URL;?>admin/images/checked.png">
                                            </div>
                                        </td>
                                    </tr>
                                    <?php
                                }
                                else {
                                    ?>
                                    <tr>
                                        <td>
                                            <?php echo $single_property['detail']['label']?>
                                        </td>
                                        <td>
                                            <a href="javascript:void(0);" class="button button-primary iconwoo-create-single-field" data-alias="<?php echo $single_property['detail']['alias'] ?>"><?php echo __('Create','iconwoo') ?></a>
                                        </td>
                                    </tr>
                                    <?php
                                }                               
                            }
                        }
                    ?>
                </tbody>
            </table>
        </div>
    </div>
    <?php
}
?>