<?php

/**
 * Fired during plugin activation
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    iconwoo-integration
 * @subpackage iconwoo-integration/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    iconwoo-integration
 * @subpackage iconwoo-integration/includes
 * @author     MakeWebBetter <webmaster@makewebbetter.com>
 */
class Icontact_Woo_Integration_Activator {

	/**
	 * Create log file in the WC_LOG directory.
	 *
	 * Create a log file in the WooCommerce defined log directory
	 * and use the same for the logging purpose of our plugin.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		$log_enable = get_option('icontact_woo_log', 'no');

		if ($log_enable == 'yes') {
			@fopen( WC_LOG_DIR.'icontact-woo-logs.log', 'a' );
		}
		
		if (! wp_next_scheduled ( 'icontact_woo_cron_schedule' ) ) {

            wp_schedule_event( time(), 'icontact-woo-5min-cron', 'icontact_woo_cron_schedule' );
        }   
	}
}
